From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/plyvel/
Date: Sat, 10 Oct 2020 19:06:41 +0000 (UTC) [thread overview]
Message-ID: <1602356796.6d51d73f0226fc011caa7946c0cc17cbbb496a5f.sbraz@gentoo> (raw)
commit: 6d51d73f0226fc011caa7946c0cc17cbbb496a5f
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 19:00:42 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 19:06:36 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d51d73f
dev-python/plyvel: bump to 1.3.0, simplify the test logic
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
dev-python/plyvel/Manifest | 1 +
dev-python/plyvel/plyvel-1.3.0.ebuild | 28 ++++++++++++++++++++++++++++
2 files changed, 29 insertions(+)
diff --git a/dev-python/plyvel/Manifest b/dev-python/plyvel/Manifest
index b3a5bfdc33c..c3d7e52c043 100644
--- a/dev-python/plyvel/Manifest
+++ b/dev-python/plyvel/Manifest
@@ -1 +1,2 @@
DIST plyvel-1.2.0.tar.gz 145528 BLAKE2B 3a1604b536e462b3eccb7c8294c607828b8f41f3ead65c74fd200d3bb4179765d63f57508cb3bfaee1c4c57ecda7b986afe9416714ae74ed9ad35a9247397c98 SHA512 00b3424e248d1ed17f6443c9862c9f35c94ad76707df5adfe625d7a387620252ff71b3e1f7e903dda1c5cfcd53cb23883c1049e31df541dfe566b8e849c0a96d
+DIST plyvel-1.3.0.tar.gz 149379 BLAKE2B 0a4fc8c3073cc8e103ab217f8e7971f04d9e6d1862dea7ce3d2634ba9646bdeebdda740fe6cb2e83aeeab513601bddef374355c4f6c9f320ce6b4b14ff2b2bf6 SHA512 fc1b84f0e98bf3edcdc2d7eda4f18313186538bb419bd297f694330e60512a6ab63e8d2fabaa825023eb5570f175ebbc22b8ae81e29603b1a94c1abb37774e99
diff --git a/dev-python/plyvel/plyvel-1.3.0.ebuild b/dev-python/plyvel/plyvel-1.3.0.ebuild
new file mode 100644
index 00000000000..b49ff201856
--- /dev/null
+++ b/dev-python/plyvel/plyvel-1.3.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to LevelDB"
+HOMEPAGE="https://github.com/wbolster/plyvel"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-libs/leveldb-1.20:="
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+python_test() {
+ # With the default import mode, plyvel is imported from ${S} which causes
+ # a failure because it doesn't contain the compiled _plyvel extension
+ pytest --import-mode=append -vv || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2020-10-10 19:06 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-10-10 19:06 Louis Sautier [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-20 18:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/plyvel/ Michał Górny
2024-01-16 7:02 Michał Górny
2023-11-01 17:09 Michał Górny
2023-06-01 13:40 Michał Górny
2023-05-04 16:22 Michał Górny
2022-11-14 4:44 Michał Górny
2022-11-14 4:44 Michał Górny
2022-10-27 4:49 Michał Górny
2022-05-16 13:24 Michał Górny
2022-01-08 2:31 Louis Sautier
2021-08-05 19:13 Louis Sautier
2020-09-04 22:14 Louis Sautier
2020-03-28 11:59 Michał Górny
2020-01-22 22:35 Louis Sautier
2020-01-22 22:35 Louis Sautier
2019-05-02 22:31 Louis Sautier
2019-05-02 22:31 Louis Sautier
2018-07-19 9:59 Louis Sautier
2018-07-19 9:59 Louis Sautier
2018-06-18 22:27 Louis Sautier
2018-06-18 20:41 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-17 20:34 David Seifert
2017-12-26 8:17 Zac Medico
2016-02-14 17:02 Patrick Lauer
2016-01-13 10:31 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1602356796.6d51d73f0226fc011caa7946c0cc17cbbb496a5f.sbraz@gentoo \
--to=sbraz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox